Package org.jbpm.kie.services.impl.model

## Class UserTaskInstanceWithVarsDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.UserTaskInstanceDesc
  - - org.jbpm.kie.services.impl.model.UserTaskInstanceWithVarsDesc

- All Implemented Interfaces:
    `Serializable`, `UserTaskInstanceDesc`, `UserTaskInstanceWithVarsDesc`

      public class UserTaskInstanceWithVarsDesc
      extends UserTaskInstanceDesc
      implements UserTaskInstanceWithVarsDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTaskInstanceWithVarsDesc​(Long taskId, String status, Date activationTime, String name, String description, Integer priority, String actualOwner, String createdBy, String deploymentId, String processId, Long processInstanceId, Date createdOn, Date dueDate)` |
    `UserTaskInstanceWithVarsDesc​(Long taskId, String status, Date activationTime, String name, String description, Integer priority, String actualOwner, String createdBy, String deploymentId, String processId, Long processInstanceId, Date createdOn, Date dueDate, Long workItemId, String formName, String subject, String correlationKey, Integer processType, Date slaDueDate, Integer slaCompliance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addVariable​(String variable, Object variableValue)` |
    `Map<String,​Object>` | `getVariables()` | Returns the uer task variables
    `void` | `setVariables​(Map<String,​Object> variables)` |

    - ### Methods inherited from class org.jbpm.kie.services.impl.model.UserTaskInstanceDesc

      `getActivationTime, getActualOwner, getCorrelationKey, getCreatedBy, getCreatedOn, getDeploymentId, getDescription, getDueDate, getFormName, getName, getPriority, getProcessId, getProcessInstanceId, getProcessType, getSlaCompliance, getSlaDueDate, getStatus, getSubject, getTaskId, getWorkItemId, setCorrelationKey, setDescription, setDueDate, setFormName, setName, setPriority, setProcessType, setSlaCompliance, setSlaDueDate, setSubject, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.model.UserTaskInstanceDesc

      `getActivationTime, getActualOwner, getCorrelationKey, getCreatedBy, getCreatedOn, getDeploymentId, getDescription, getDueDate, getFormName, getName, getPriority, getProcessId, getProcessInstanceId, getProcessType, getSlaCompliance, getSlaDueDate, getStatus, getSubject, getTaskId, getWorkItemId, setCorrelationKey, setProcessType, setSlaCompliance, setSlaDueDate, setSubject`

- - ### Constructor Detail

    - #### UserTaskInstanceWithVarsDesc

          public UserTaskInstanceWithVarsDesc​(Long taskId,
                                              String status,
                                              Date activationTime,
                                              String name,
                                              String description,
                                              Integer priority,
                                              String actualOwner,
                                              String createdBy,
                                              String deploymentId,
                                              String processId,
                                              Long processInstanceId,
                                              Date createdOn,
                                              Date dueDate)

    - #### UserTaskInstanceWithVarsDesc

          public UserTaskInstanceWithVarsDesc​(Long taskId,
                                              String status,
                                              Date activationTime,
                                              String name,
                                              String description,
                                              Integer priority,
                                              String actualOwner,
                                              String createdBy,
                                              String deploymentId,
                                              String processId,
                                              Long processInstanceId,
                                              Date createdOn,
                                              Date dueDate,
                                              Long workItemId,
                                              String formName,
                                              String subject,
                                              String correlationKey,
                                              Integer processType,
                                              Date slaDueDate,
                                              Integer slaCompliance)

  - ### Method Detail

    - #### getVariables

          public Map<String,​Object> getVariables()

      Description copied from interface: `UserTaskInstanceWithVarsDesc`
      Returns the uer task variables
      Specified by:
        `getVariables` in interface `UserTaskInstanceWithVarsDesc`
      Returns:
        variables

    - #### setVariables

          public void setVariables​(Map<String,​Object> variables)

    - #### addVariable

          public void addVariable​(String variable,
                                  Object variableValue)